module Config.Identity exposing (..)


type alias PageInput =
    { pageHome : String
    , pageContact : String
    , pageDebate : String
    , pageDodgers : String
    , pageHyperBlog : String
    , pageInterviews : String
    , pageNutriDex : String
    , pagePlatforms : String
    , pageServices : String
    , pageSupport : String
    }


pageNames : PageInput
pageNames =
    { pageHome = "upRootHealth"
    , pagePlatforms = "platforms"
    , pageServices = "services"
    , pageDodgers = "cuckList"
    , pageDebate = "arguments"
    , pageHyperBlog = "hyperBlog"
    , pageNutriDex = "nutriDex"
    , pageInterviews = "interviews"
    , pageContact = "contact"
    , pageSupport = "support"
    }

createPageName : String -> String
createPageName pageName =
    pageNames.pageHome ++ " :: " ++ pageName


contactName : String
contactName =
    createPageName pageNames.pageContact


debateName : String
debateName =
    createPageName pageNames.pageDebate


dodgersName : String
dodgersName =
    createPageName pageNames.pageDodgers


hyperBlogName : String
hyperBlogName =
    createPageName pageNames.pageHyperBlog


interviewsName : String
interviewsName =
    createPageName pageNames.pageInterviews


nutriDexName : String
nutriDexName =
    createPageName pageNames.pageNutriDex


platformsName : String
platformsName =
    createPageName pageNames.pagePlatforms


servicesName : String
servicesName =
    createPageName pageNames.pageServices


supportName : String
supportName =
    createPageName pageNames.pageSupport
