module Services.Helpers exposing (..)

import Config.Colour exposing (..)
import Config.Format exposing (..)
import Effect exposing (Effect)
import Element as E exposing (..)
import Element.Border as D
import Element.Font as F
import Html.Attributes as H exposing (style)
import Layouts
import Page exposing (Page)
import Route exposing (Route)
import Services.ServiceList.Creative.ElmBuilds exposing (servicesElmBuilds)
import Services.Types exposing (..)
import Shared
import View exposing (View)


serviceMaker : Service -> Element msg
serviceMaker service =
    row [ spacing 20 ]
        [ column [ alignTop, alignRight, width <| px 100 ]
            [ image
                [ width <| px 100, alignTop, alignRight ]
                { src = "services/" ++ service.logoImage ++ ".png"
                , description = service.logoDescription
                }
            ]
        , column [ width <| px 500, spacing 3 ]
            [ row [ spacing 10 ]
                [ newTabLink highlightedTitleFormat
                    { url = service.servicesLink
                    , label =
                        transitionHighlightedLinkHover <|
                            text service.servicesTitle
                    }
                , paragraph [ F.color colourTheme.nonHighlightedText ] [ text service.servicesRate ]
                ]
            , paragraph paragraphFormat [ text service.servicesDescription ]
            ]
        ]
